Page MenuHomePhabricator

Checkboxes for local overrides added by GlobalPrefs extension do not work as expected with OOUI
Closed, ResolvedPublic5 Story Points

Description

ExampleWithout OOUIWith OOUI
1

Problem: Enabling the local exception checkboxes no longer activate the standard checkboxes/radio buttons. They stay disabled. As shown in example 3.

Expected behavior: Clicking local exception checkboxes activates the regular checkboxes/radio buttons.

Event Timeline

Niharika created this task.Jul 18 2018, 8:45 PM
Niharika triaged this task as Normal priority.
Niharika added a project: Community-Tech.
Niharika moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
matmarex removed a subscriber: matmarex.Jul 18 2018, 9:43 PM

Change 446765 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/GlobalPreferences@master] GlobalPreferences.local: Setup event handlers and updates for OOUI

https://gerrit.wikimedia.org/r/446765

Change 449375 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/extensions/GlobalPreferences@master] Add OOUI-JS widget for CheckMatrix so it can be disabled/enabled

https://gerrit.wikimedia.org/r/449375

Change 448190 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] [wip] OOUIfy CheckMatrix in PHP and JS

https://gerrit.wikimedia.org/r/448190

Change 446765 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] GlobalPreferences.local: Setup event handlers and updates for OOUI

https://gerrit.wikimedia.org/r/446765

Mooeypoo claimed this task.Aug 2 2018, 9:22 PM
Mooeypoo moved this task from In Development to QA on the Community-Tech-Sprint board.

Works on beta. I'll give this another round of testing when it launches on all wikis with next week's train.

@Niharika I should've probably split this up - but this is also depending on the CheckMatrix specific fix, that's still being reviewed.
Do you want me to split this now, or do you want to get this back to "Needs review" and get ths through the process again once the two patches for CheckMatrix override checkboxes are merged?

@Mooeypoo We don't need to split it now. I'll give it another go when it's all merged. Ideally we should ship those patches together in the next week's train, if we can.

Change 448190 merged by jenkins-bot:
[mediawiki/core@master] OOUIfy CheckMatrix in PHP and JS

https://gerrit.wikimedia.org/r/448190

Change 449375 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] Add CheckMatrix to the enable/disable of local exceptions

https://gerrit.wikimedia.org/r/449375

matmarex closed this task as Resolved.Aug 23 2018, 2:24 PM
matmarex removed a project: Patch-For-Review.